package com.fjhx.xmhjc.controller.open;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.xmhjc.entity.about.dto.AboutUsCultureDto;
import com.fjhx.xmhjc.entity.about.dto.AboutUsCultureSelectDto;
import com.fjhx.xmhjc.entity.about.vo.AboutUsCultureVo;
import com.fjhx.xmhjc.service.about.AboutUsCultureService;
import com.ruoyi.common.core.domain.BaseSelectDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 关于我们-企业文化 前端控制器
 * </p>
 *
 * @author lqh
 * @since 2023-11-14
 */
@RestController
@RequestMapping("/open/aboutUsCulture")
public class OpenAboutUsCultureController {

    @Autowired
    private AboutUsCultureService aboutUsCultureService;

    /**
     * 关于我们-企业文化列表
     */
    @PostMapping("/listByOpen")
    public List<AboutUsCultureVo> listByOpen() {
        return aboutUsCultureService.getListByOpen();
    }

}
