package com.fjhx.xmhjc.controller.about;

import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.xmhjc.entity.about.vo.AboutUsBaseInfoVo;
import com.fjhx.xmhjc.entity.about.dto.AboutUsBaseInfoSelectDto;
import com.fjhx.xmhjc.entity.about.dto.AboutUsBaseInfoDto;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.fjhx.xmhjc.service.about.AboutUsBaseInfoService;
import org.springframework.beans.factory.annotation.Autowired;


/**
 * <p>
 * 关于我们-基础信息 前端控制器
 * </p>
 *
 * @author lqh
 * @since 2023-11-12
 */
@RestController
@RequestMapping("/aboutUsBaseInfo")
public class AboutUsBaseInfoController {

    @Autowired
    private AboutUsBaseInfoService aboutUsBaseInfoService;

    /**
     * 关于我们-基础信息新增
     */
    @PostMapping("/add")
    public void add(@RequestBody AboutUsBaseInfoDto aboutUsBaseInfoDto) {
        aboutUsBaseInfoService.add(aboutUsBaseInfoDto);
    }

    /**
     * 关于我们-基础信息编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody AboutUsBaseInfoDto aboutUsBaseInfoDto) {
        aboutUsBaseInfoService.edit(aboutUsBaseInfoDto);
    }


    /**
     * 关于我们-基础信息明细
     */
    @PostMapping("/detailDefault")
    public AboutUsBaseInfoVo detailDefault() {
        return aboutUsBaseInfoService.detailDefault();
    }

}
