package com.fjhx.xmhjc.entity.about.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 关于我们-基础信息
 * </p>
 *
 * @author lqh
 * @since 2023-11-12
 */
@Getter
@Setter
@TableName("about_us_base_info")
public class AboutUsBaseInfo extends BasePo {

    /**
     * 公司简介
     */
    private String companyProfile;

    /**
     * 联系方式1
     */
    private String mobileOne;

    /**
     * 联系方式2
     */
    private String mobileTwo;

    /**
     * 公司地址
     */
    private String address;

    /**
     * 电子邮件mail
     */
    private String email;

    /**
     * 备案号
     */
    private String filingNumber;

}
